Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

I am trying to install this following framework from my Linux Fedora box to Android using there SDK/NDK. But after following all instruction its getting still failed to get build. Any idea how to fix it?

1) Egg

$ cd /var/tmp
$ git clone git://git.collabora.co.uk/git/user/reynaldo/gstreamer_ndk_bundle
$ cd gstreamer_ndk_bundle
$ git submodule update --init

2) Dropped

$ cd /var/tmp
$ wget http://dl.google.com/android/ndk/android-ndk-r7-linux-x86.tar.bz2
$ tar xvfj android-ndk-r7-linux-x86.tar.bz2
$ wget http://dl.google.com/android/android-sdk_r15-linux.tgz
$ tar xvfz android-sdk_r15-linux.tgz;
$ export PATH=$PATH:/var/tmp/android-ndk-r7
$ export PATH=$PATH:/var/tmp/android-sdk-linux/tools

#############################
# Try 1: failed 
#############################
$ ./setup.sh
Updated project.properties
Updated local.properties
Updated file ./build.xml
Updated file ./proguard.cfg
android_headers
faad
glib
gnonlin
gst-android
gst-editing-services
gst-openmax
gst-plugins-bad
gst-plugins-base
gst-plugins-good
gst-plugins-ugly
gstreamer
jni
libid3tag
libmad
ogg
res
src
x264
/var/tmp/android-ndk-r7/prebuilt/linux-x86/bin/awk: /var/tmp/android-ndk-r7/prebuilt/linux-x86/bin/awk: cannot execute binary file
Android NDK: Host 'awk' tool is outdated. Please define HOST_AWK to point to Gawk or Nawk !    
/var/tmp/android-ndk-r7/build/core/init.mk:258: *** Android NDK: Aborting.    .  Stop.
# use this to fix this error
$ mv /var/tmp/android-ndk-r7/prebuilt/linux-x69/bin/awk awk_

#############################
# Try 2: failed 
#############################
$ ./setup.sh

> Android.mk
/bin/sh: line 1: androgenizer: command not found
make[1]: *** [Android.mk] Error 127
make[1]: Leaving directory `/home/sun/Downloads/gstreamer_ndk_bundle/faad/libfaad'
make: *** [libfaad-configure] Error 2

# use following to fix this above error
$ git clone git://git.collabora.co.uk/git/user/derek/androgenizer.git
$ make
$ export PATH=$PATH:/var/tmp/gstreamer_ndk_bundle/androgenizer

#############################
# Try 3: failed 
#############################
$ ./setup.sh
/var/tmp/android-ndk-r7/toolchains/arm-linux-androideabi-4.4.3/prebuilt/linux-x86/bin/../lib/gcc/arm-linux-androideabi/4.4.3/../../../../arm-linux-androideabi/bin/ld: cannot find -lmedia
collect2: ld returned 1 exit status
make: *** [obj/local/armeabi/libgstaudioflinger.so] Error 1
# How to fix this error?

3) Born

@TODO
$ ./install_bundle.sh
share|improve this question
    
sudo find / -name adrogenizer 2> /dev/null, do you get anything? –  MaxMackie Dec 15 '11 at 13:46
    
@MaxMackie: No, this is what i am getting: gist.github.com/1481194 –  IBM Dec 15 '11 at 14:04
    
Sorry that was a typo, replace with androgenizer above. I forgot the n. –  MaxMackie Dec 15 '11 at 14:16
    
@MaxMackie: Please see here the same link and this is showing with your command: /home/sun/Downloads/gstreamer_ndk_bundle/androgenizer/androgenizer –  IBM Dec 15 '11 at 14:23
1  
@MaxMackie: That error is gone, i got a new one now :P please have a look kindly: gist.github.com/1481513 –  IBM Dec 15 '11 at 15:46
show 3 more comments

2 Answers

I direct your attention at the actual error message in your output:

Android NDK: Host 'awk' tool is outdated. Please define HOST_AWK to point to Gawk or Nawk !    
/var/tmp/android-ndk-r7/build/core/init.mk:258: *** Android NDK: Aborting.    .  Stop.

Install an up-to-date version of either gawk or nawk via your package manager and try again.

share|improve this answer
    
Is not that error coming from Android-ndk-r7 but not from my Fedora 15? Or i am completely wrong. –  IBM Dec 15 '11 at 15:58
    
The error is generated by the host you're trying to build this on. That's the host that needs a proper version of awk installed in order to build this bit of software. –  Shadur Dec 15 '11 at 16:03
1  
my system has already $ awk --version GNU Awk 3.1.8 –  IBM Dec 15 '11 at 18:56
add comment

There was a bad version of awk bundled in r7. Try r7b.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.